Skip to main content
GET
/
api
/
Gift
/
ByReference
/
{referenceId}
Get Gifts for a Contact by Reference ID
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Gift/ByReference/{referenceId} \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "giftDesignations": [
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        },
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        }
      ],
      "id": "<integer>",
      "contactId": "<integer>",
      "contactIndividualId": "<integer>",
      "giftType": "<string>",
      "giftDate": "<string>",
      "amount": "<string>",
      "segment": "<string>",
      "batch": "<string>",
      "giftUrl": "<string>",
      "culture": "<string>",
      "exchangeRate": "<double>"
    },
    {
      "giftDesignations": [
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        },
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        }
      ],
      "id": "<integer>",
      "contactId": "<integer>",
      "contactIndividualId": "<integer>",
      "giftType": "<string>",
      "giftDate": "<string>",
      "amount": "<string>",
      "segment": "<string>",
      "batch": "<string>",
      "giftUrl": "<string>",
      "culture": "<string>",
      "exchangeRate": "<double>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

referenceId
string
required

(Required) The contact identifier.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

excludeReferenceOriginatedGifts
string

if set to true [exclude reference originated gifts].

Response

200 - application/json

OK

list
object[]
total
string
Last modified on April 24, 2026